[@algorandfoundation/algokit-utils](../README.md) / [types/debugging](../modules/types_debugging.md) / TealSourcesDebugEventData

# Interface: TealSourcesDebugEventData

[types/debugging](../modules/types_debugging.md).TealSourcesDebugEventData

Represents the data for multiple TEAL sources debug events emitted whenever an app is compiled as part of a deploy in debug mode

## Table of contents

### Properties

- [sources](types_debugging.TealSourcesDebugEventData.md#sources)

## Properties

### sources

• **sources**: [`TealSourceDebugEventData`](types_debugging.TealSourceDebugEventData.md)[]

An array of TEAL source debug event data

#### Defined in

[src/types/debugging.ts:40](https://github.com/algorandfoundation/algokit-utils-ts/blob/main/src/types/debugging.ts#L40)
